Returns private tasks for the current user.

GEThttps://api.awork.com/api/v1/me/privatetasks
GET https://api.awork.com/api/v1/me/privatetasks

Returns all private tasks owned by the current user.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Query parameters

pageintegerOptional
Default: 1

Page number for pagination

pageSizeintegerOptional
Default: 10

Number of items per page

orderbystringOptional

The properties to order by

filterbystringOptional

The filter expression to filter by

Responses

200 OK

application/json

namestringRequired
minLength: 0 maxLength: 1000

The name of the task. Max allowed length: 1000 characters.

descriptionstring or nullOptional
minLength: 0 maxLength: 25000

The description of the task. Max allowed length: 25000 characters.

isPriobooleanOptional

Whether this task is marked as priority.

startOnstring or nullOptional
format: date-time

The expected start date and time of the task.

dueOnstring or nullOptional
format: date-time

The expected due date and time of the task.

laneOrderintegerOptional
format: int32

The lane order defines the vertical position in the task board.

plannedDurationintegerOptional
format: int32

The expected planned workload of the task, in seconds.

idstringOptional
format: uuid

The Id of the task.

taskNumberinteger or nullOptional
format: int32

The sequential task number within the project. Unique within the project, never reused even after deletion.

taskIdentifierstring or nullOptional
maxLength: 40

The full task identifier combining project key and task number (e.g., "NIKE-42"). Maintained by the service layer, updated when project key changes.

isExternalbooleanOptional

True if the model is coming from an external workspace (awork Connect). False otherwise.

createdViastring or nullOptional

The origin of the task. From which 'flow' the task was created. Automatically set by the backend.

isHiddenForConnectUsersbooleanOptional

True if the task is hidden for external workspace users. False otherwise.

baseTypestringOptional

Allowed: "private" "projecttask"

The base type of the task. Can be 'private' for a private task or 'projecttask' for a project task.

taskStatusIdstringOptional
format: uuid

The id of the status for this task.

taskStatusobjectOptional
Show 13 properties
idstringOptional
format: uuid

The primary identifier of this task status.

namestring or nullOptional

The name of the task status.

typestring or nullOptional

Of what general type is this task status?.

ordernumber or nullOptional
format: double

The order of the task status in a project.

iconstring or nullOptional

The icon of the task status.

projectIdstring or nullOptional
format: uuid

Is set if the task status is related to a project.

projectTypeIdstring or nullOptional
format: uuid

Is set if the task status is related to a project type.

workflowIdstring or nullOptional
format: uuid

Is set if the task status is related to a workflow.

createdOnstringOptional
format: date-time

The date this entity was created.

createdBystringOptional
format: uuid

The id of the user who created this entity.

updatedOnstringOptional
format: date-time

The date this entity was last modified.

updatedBystringOptional
format: uuid

The id of the user who last modified this entity.

isExternalbooleanOptional

True if the task status is coming from an external workspace (awork Connect).

typeOfWorkIdstringOptional
format: uuid

The id of the type of work of this task.

typeOfWorkobjectOptional
Show 4 properties
idstringOptional
format: uuid

The identifier of the nested model.

namestring or nullOptional

The name of the entity.

iconstring or nullOptional

The icon of the type.

isArchivedbooleanOptional

Whether the type is archived.

assigneesarray of object or nullOptional

The list assigned users of this task, or empty if not user was assigned.

Show 8 properties
idstringOptional
format: uuid

The identifier of the nested model.

firstNamestring or nullOptional

The first name of the user.

lastNamestring or nullOptional

The last name of the user.

hasImageboolean or nullOptional

Whether this user has a profile image.

plannedEffortintegerOptional
format: int32

The planned effort of the user assigned to the task, in seconds.

isDistributedPlannedEffortbooleanOptional

If the PlannedEffort was calculated as distributed effort.

updatedOnstringOptional
format: date-time

The date this task assignee was last modified.

isExternalbooleanOptional

True if the model is coming from an external workspace (awork Connect). False otherwise.

projectIdstring or nullOptional
format: uuid

The id of the project this task is assigned to. Only set if this is a project task. In this case, it is equal to the EntityId.

projectobjectOptional
Show 16 properties
idstringOptional
format: uuid

The identifier of the nested model.

namestring or nullOptional

The name of the entity.

projectKeystring or nullOptional

The unique project key within the workspace (e.g., "NIKE"). Maximum 32 characters, uppercase letters, numbers, and dashes only.

projectStatusobjectOptional
Show 5 properties
idstringOptional
format: uuid

The identifier of the nested model.

namestring or nullOptional

The name of the entity.

descriptionstring or nullOptional

The description of the type.

typestring or nullOptional

The type of the status.

isArchivedbooleanOptional

Whether the type is archived.

companyobjectOptional
Show 4 properties
idstringOptional
format: uuid

The identifier of the nested model.

namestring or nullOptional

The name of the entity.

hasImagebooleanOptional

Whether the company has a profile image.

descriptionstring or nullOptional

The description of the company.

companyIdstring or nullOptional
format: uuid

The companyId of the project.

projectTypeobjectOptional
Show 4 properties
idstringOptional
format: uuid

The identifier of the nested model.

namestring or nullOptional

The name of the entity.

iconstring or nullOptional

The icon of the type.

isArchivedbooleanOptional

Whether the type is archived.

hasImagebooleanOptional

Whether the project has an image.

isPrivatebooleanOptional

Whether the project is private.

isBillableByDefaultboolean or nullOptional

Whether the project is billable by default.

membersarray of object or nullOptional

The list of all members of the project.

Show 6 properties
idstringOptional
format: uuid
userIdstringOptional
format: uuid
projectRoleIdstringOptional
format: uuid
projectRoleNamestring or nullOptional
isResponsiblebooleanOptional
isExternalbooleanOptional

True if the model is coming from an external workspace (awork Connect). False otherwise.

colorstring or nullOptional

The color of the project for display purposes in awork. Can be null when no color assigned.

createdBystringOptional
format: uuid

The created by of the project.

teamsarray of object or nullOptional

The ids of the team the project is associated to.

Show 1 properties
idstringOptional
format: uuid
customFieldsarray of object or nullOptional

Custom fields of the project.

Show 9 properties
customFieldDefinitionIdstringOptional
format: uuid

The custom field definition id.

userIdValuestring or nullOptional
format: uuid

The the user id value.

clientIdValuestring or nullOptional
format: uuid

The client id value.

numberValuenumber or nullOptional
format: double

The number value.

selectionOptionIdValuestring or nullOptional
format: uuid

The selection option id value.

selectionOptionobjectOptional
Show 4 properties
idstringOptional
format: uuid

The id of the custom field selection option.

valuestringRequired
minLength: 1

The selection value which can be later used in a select custom field.

colorstring or nullOptional

Allowed: "red" "orange" "yellow" "green" "cyan" "blue" "indigo" "purple" "steel"

The color of the selection option.

ordernumberOptional
format: double

The order of the custom field selection option.

textValuestring or nullOptional

The text value.

dateValuestring or nullOptional
format: date-time

The date value.

booleanValueboolean or nullOptional

The boolean value.

isExternalbooleanOptional

True if the model is coming from an external workspace (awork Connect). False otherwise.

correlationIdstringOptional
format: uuid

The correlation id between parent and subtasks, meaning it's either the ParentId or its own Id.

parentIdstring or nullOptional
format: uuid

The id of the parent task this of this subtask. Only set if this is a subtask.

parentTaskobjectOptional
Show 5 properties
idstringOptional
format: uuid

The identifier of the nested model.

namestring or nullOptional

The name of the entity.

createdBystringOptional
format: uuid

The id of the user who created this task.

userIdstring or nullOptional
format: uuid

The id of the user of the private task. Null for project tasks.

assigneeIdsarray of string or nullOptional

List of assignee user ids of this task.

isSubtaskbooleanOptional

True if the task is a subtask.

numberOfSubtasksinteger or nullOptional
format: int32

The number of subtasks of this task. Null if it's not a parent task.

hasAttachmentbooleanOptional

Whether this task has an attachment.

listsarray of object or nullOptional

The lists to which the task is assigned to.

Show 13 properties
idstringOptional
format: uuid

The id of the task list.

createdOnstringOptional
format: date-time

The date this task list was created.

createdBystringOptional
format: uuid

The id of the user who created this task list.

updatedOnstringOptional
format: date-time

The date this task list was last modified.

updatedBystringOptional
format: uuid

The id of the user who last modified this task list.

namestring or nullOptional

The name of the list.

ordernumber or nullOptional
format: double

The order of the list.

plannedDurationinteger or nullOptional
format: int32

The planned duration for this task list, in seconds.

totalPlannedDurationinteger or nullOptional
format: int64

The total planned duration for this task list, including all primary tasks (parent tasks which have this tacklist as PrimaryTaskListId), in seconds. Calculated: sum PlannedDuration of primary tasks in list Archived task lists are not included in the calculation.

totalPlannedDurationWithHierarchyinteger or nullOptional
format: int64

The total planned duration for this task list, including all primary tasks (parent tasks which have this task list as PrimaryTaskListId), in seconds. Calculated: max(PlannedDuration, sum TotalPlannedDurationWithHierarchy of primary tasks in list) Archived task lists are not included in the calculation.

isArchivedbooleanOptional

Whether the task list has been archived.

isHiddenForConnectUsersbooleanOptional

True if the task in this list will be not visible for external workspace users. False otherwise.

orderOfTasknumber or nullOptional
format: double

The order of the task in the list.

entityIdstring or nullOptionalDeprecated
format: uuid

The id of the entity this task is assigned to. This is the id of the project if this is a project task, or the id of a user if this is a private task. See 'BaseType' for supported types.

userIdstring or nullOptional
format: uuid

The id of the user of the private task.

tagsarray of object or nullOptional

The list of tags.

Show 3 properties
idstringOptional
format: uuid
namestring or nullOptional

The name of the tag.

colorstring or nullOptional

The color of the tag.

createdOnstringOptional
format: date-time

The date this task was created.

createdBystringOptional
format: uuid

The id of the user who created this task.

updatedOnstringOptional
format: date-time

The date this task was last modified.

updatedBystringOptional
format: uuid

The id of the user who last modified this task.

closedOnstring or nullOptional
format: date-time

The date the task was set to closed.

closedBystring or nullOptional
format: uuid

The user who closed the task.

ordernumberOptional
format: double

The order of the task in a task status column.

subtaskOrdernumber or nullOptional
format: double

The order of the subtask relative to its parent task.

createdFromTaskIdstring or nullOptional
format: uuid

When the task was created by a recurrency rule, the id is the link to the template of which the task was created.

isRecurringbooleanOptional

If the task is a recurrency template (used to create new tasks by a recurrency rule), the flag is true.

customFieldsarray of object or nullOptional

Custom fields of the task.

Show 9 properties
customFieldDefinitionIdstringOptional
format: uuid

The custom field definition id.

userIdValuestring or nullOptional
format: uuid

The the user id value.

clientIdValuestring or nullOptional
format: uuid

The client id value.

numberValuenumber or nullOptional
format: double

The number value.

selectionOptionIdValuestring or nullOptional
format: uuid

The selection option id value.

selectionOptionobjectOptional
Show 4 properties
idstringOptional
format: uuid

The id of the custom field selection option.

valuestringRequired
minLength: 1

The selection value which can be later used in a select custom field.

colorstring or nullOptional

Allowed: "red" "orange" "yellow" "green" "cyan" "blue" "indigo" "purple" "steel"

The color of the selection option.

ordernumberOptional
format: double

The order of the custom field selection option.

textValuestring or nullOptional

The text value.

dateValuestring or nullOptional
format: date-time

The date value.

booleanValueboolean or nullOptional

The boolean value.

deriveDatesFromSubtasksbooleanOptional

When true, if the task is a parent task, the StartOn and DueOn will be automatically adjusted to the start and due date of the subtasks.

trackedDurationinteger or nullOptional
format: int32

The summed up duration of all time trackings directly on this task (excluding subtasks).

totalTrackedDurationinteger or nullOptional
format: int32

The summed up duration of all time trackings for this task, including subtasks.

totalPlannedDurationinteger or nullOptional
format: int32

The total planned workload of the task, in seconds, including subtasks.

resourceVersionintegerOptional
format: int64

The version of the entity, updated on every modification, to the ticks in UTC. Not identical to UpdatedOn.

checklistItemsDoneCountintegerOptional
format: int32

The number of checklist items marked as done.

checklistItemsCountintegerOptional
format: int32

The total number of checklist items.

taskSchedulesCountintegerOptional
format: int32

The number of task schedules for this task.

isCompletelyScheduledbooleanOptional

Whether this task is completed scheduled.

commentCountintegerOptional
format: int32

The number of comments on this task.

401 Unauthorized

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

404 Not Found

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation